121 lines
2.2 KiB
Diff
121 lines
2.2 KiB
Diff
diff -ur mcstrans-0.2.3.orig/src/mcstrans.init mcstrans-0.2.3/src/mcstrans.init
|
|
--- mcstrans-0.2.3.orig/src/mcstrans.init 2007-08-24 09:17:43.000000000 -0400
|
|
+++ mcstrans-0.2.3/src/mcstrans.init 2007-08-24 10:14:26.000000000 -0400
|
|
@@ -19,65 +19,71 @@
|
|
# 7 - program is not running
|
|
|
|
PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
|
+prog="mcstransd"
|
|
|
|
# Source function library.
|
|
. /etc/init.d/functions
|
|
|
|
+# Allow anyone to run status
|
|
+if [ "$1" = "status" ] ; then
|
|
+ status $prog
|
|
+ RETVAL=$?
|
|
+ exit $RETVAL
|
|
+fi
|
|
+
|
|
# Check that we are root ... so non-root users stop here
|
|
-test `id -u` = 0 || exit 4
|
|
+test $EUID = 0 || exit 4
|
|
|
|
+# If selinux is not enabled, return success
|
|
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
|
|
|
|
-test -x /sbin/mcstransd || exit 5
|
|
-
|
|
RETVAL=0
|
|
|
|
-prog="mcstransd"
|
|
-
|
|
start(){
|
|
- echo -n $"Starting $prog: "
|
|
- if status $prog > /dev/null; then
|
|
- echo -n $"$prog: already running"
|
|
- failure
|
|
+ test -x /sbin/mcstransd || exit 5
|
|
+ echo -n $"Starting $prog: "
|
|
+ if status $prog > /dev/null; then
|
|
+ echo -n $"$prog: already running"
|
|
+ failure
|
|
+ echo
|
|
+ return 1
|
|
+ fi
|
|
+
|
|
+ unset HOME MAIL USER USERNAME
|
|
+ daemon $prog "$EXTRAOPTIONS"
|
|
+ RETVAL=$?
|
|
echo
|
|
- return 1
|
|
- fi
|
|
-
|
|
- unset HOME MAIL USER USERNAME
|
|
- daemon $prog "$EXTRAOPTIONS"
|
|
- RETVAL=$?
|
|
- echo
|
|
- if test $RETVAL = 0 ; then
|
|
- touch /var/lock/subsys/mcstrans
|
|
- fi
|
|
- return $RETVAL
|
|
+ if test $RETVAL = 0 ; then
|
|
+ touch /var/lock/subsys/mcstrans
|
|
+ fi
|
|
+ return $RETVAL
|
|
}
|
|
|
|
stop(){
|
|
- echo -n $"Stopping $prog: "
|
|
- killproc $prog
|
|
- RETVAL=$?
|
|
- echo
|
|
- rm -f /var/lock/subsys/mcstrans
|
|
- return $RETVAL
|
|
+ echo -n $"Stopping $prog: "
|
|
+ killproc $prog
|
|
+ RETVAL=$?
|
|
+ echo
|
|
+ rm -f /var/lock/subsys/mcstrans
|
|
+ return $RETVAL
|
|
}
|
|
|
|
reload(){
|
|
- echo -n $"Reloading configuration: "
|
|
- killproc $prog -HUP
|
|
- RETVAL=$?
|
|
- echo
|
|
- return $RETVAL
|
|
+ echo -n $"Reloading configuration: "
|
|
+ killproc $prog -HUP
|
|
+ RETVAL=$?
|
|
+ echo
|
|
+ return $RETVAL
|
|
}
|
|
|
|
restart(){
|
|
- stop
|
|
- start
|
|
+ stop
|
|
+ start
|
|
}
|
|
|
|
condrestart(){
|
|
- [ -e /var/lock/subsys/mcstrans ] && restart
|
|
- return 0
|
|
+ [ -e /var/lock/subsys/mcstrans ] && restart
|
|
+ return 0
|
|
}
|
|
|
|
|
|
@@ -89,9 +95,6 @@
|
|
stop)
|
|
stop
|
|
;;
|
|
- status)
|
|
- status $prog
|
|
- ;;
|
|
restart)
|
|
restart
|
|
;;
|